> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get redirection

> This API returns one redirection.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/redirections.yaml GET /redirections/{id}
openapi: 3.0.3
info:
  title: NeetoKB Redirections API
  description: APIs to list, create, update and delete redirections.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /redirections/{id}:
    get:
      tags:
        - Redirections
      summary: Get redirection
      description: This API returns one redirection.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/redirection_id_path_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  redirection:
                    $ref: '#/components/schemas/redirection'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '404':
          $ref: '#/components/responses/resource_not_found_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    redirection_id_path_param:
      in: path
      name: id
      description: >-
        Unique identifier of the redirection. Get it from [List
        redirections](/api/redirections/list).
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    redirection:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from_path:
          type: string
          example: /old-page
        to_path:
          type: string
          example: https://example.com/new-page
        redirection_type:
          type: string
          enum:
            - page
            - domain
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    date_time_field:
      type: string
      format: date-time
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    resource_not_found_response:
      description: Not Found - The record does not exist in this workspace
      content:
        application/json:
          schema:
            type: object
            properties:
              notice_code:
                type: string
                example: resource.notFound
              entity:
                type: string
                description: Name of the resource type that was not found.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.